package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum EActivationCode implements BaseEnum<String, EActivationCode> {

    SEND("已发"),
    WAIT("未发"),
    ;

    @EnumValue
    private String code;

    private String desc;

    EActivationCode(String desc) {
        this.code = this.name();
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return name();
    }

    public String getDesc() {
        return desc;
    }
}
